View Issue Details

IDProjectCategoryView StatusLast Update
0004163FreeCADBugpublic2019-10-13 16:13
Reporteruseidler Assigned To 
PrioritynoneSeverityblockReproducibilityalways
Status newResolutionopen 
PlatformLenovo Thinkpad T470pOSWindows 10OS Version64-Bit
Product Version0.18 
Target VersionFixed in Version 
Summary0004163: Workbench Image not working
DescriptionWorkbench Image not working

Bug description:
Function (error 1) 'Create a planar image in the 3D space' stops the model frame of FreeCAD during creating an image.
Axis is lost as well as views in axis and cube. Zoom, move and turning not possible. ANY views not working. Surface of image not shown correctly.
After deleting of image FreeCAD goes on normally. Only a corrupted surface is still on model. A new load of model is necessary.
Function (error 2) 'Scales an image plane by defining a distance between two points' cannot be finished, what is logic with error 1.

I'd like a response, if it's a software or just my computer problem.


Steps To ReproduceReproducibility:
The bug is reproducable in the version 0,18 at May 1 2019 (first deleted installation, more data not saved) and after complete deinstallation and new installation with standard properties.

Following detailed technical info and FreeCAD messages of system and bug:

Hardware:
Lenovo Thinkpad T470p
Processor Intel Core i7-7820HQ CPU @ 2.90GHz
Graphic Boards Intel HD Graphics 630, NVIDIA Geforce 940MX

System:
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16131 (Git)
Build type: Release
Branch: releases/FreeCAD-0-18
Hash: <...>
Python version: 3.6.6
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)

Workbench: Image
Error 1 - Button 1: Create a planar image in the 3D space
Error 2 - Button 2: Scales an image plane by defining a distance between two points

Error message in status bar:
Unhandled Base::Exception caught in GUIApplication::notify.
The error message is: Access violation

Python console:
Python 3.6.6 | packaged by conda-forge | (default, Jul 26 2018, 11:48:23) [MSC v.1900 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> App.newDocument("Unbenannt")
>>> App.setActiveDocument("Unbenannt")
>>> App.ActiveDocument=App.getDocument("Unbenannt")
>>> Gui.ActiveDocument=Gui.getDocument("Unbenannt")
>>> Gui.activeDocument().activeView().viewDefaultOrientation()
>>> Gui.activateWorkbench("PartWorkbench")
>>> App.ActiveDocument.addObject("Part::Box","Box")
>>> App.ActiveDocument.ActiveObject.Label = "Würfel"
>>> App.ActiveDocument.recompute()
>>> Gui.SendMsgToActiveView("ViewFit")
>>> Gui.activateWorkbench("DraftWorkbench")
>>> Gui.activateWorkbench("ImageWorkbench")
>>> App.activeDocument().addObject('Image::ImagePlane','ImagePlane')
>>> App.activeDocument().ImagePlane.ImageFile = 'C:/Users/Ulrich/Documents/Workshop/01_Scans/Test.jpg'
>>> App.activeDocument().ImagePlane.XSize = 58
>>> App.activeDocument().ImagePlane.YSize = 40
>>> App.activeDocument().ImagePlane.Placement = App.Placement(App.Vector(0.000000,0.000000,-10.000000),App.Rotation(0.000000,0.000000,0.000000,1.000000))
>>> Gui.SendMsgToActiveView('ViewFit')
>>> Gui.activateWorkbench("PartWorkbench")
>>> Gui.ActiveDocument.setEdit('Box',0)
>>> FreeCAD.getDocument("Unbenannt").getObject("ImagePlane").ImageFile = "/Test.jpg"
>>> FreeCAD.getDocument("Unbenannt").getObject("ImagePlane").ImageFile = "C:/Users/Ulrich/Documents/Workshop/01_Scans/Test.jpg"
>>> Gui.ActiveDocument.ActiveView.setAxisCross(True)
>>> Gui.activeDocument().activeView().viewFront()
>>> Gui.activeDocument().activeView().viewTop()
>>> Gui.activeDocument().activeView().viewRight()
>>> Gui.activateWorkbench("CompleteWorkbench")
>>> Gui.activateWorkbench("TestWorkbench")
>>> Gui.activateWorkbench("StartWorkbench")
>>> Gui.activateWorkbench("NoneWorkbench")
>>> Gui.activateWorkbench("PartDesignWorkbench")
>>> App.getDocument("Unbenannt").removeObject("ImagePlane")
>>> App.getDocument("Unbenannt").recompute()
>>> Gui.activateWorkbench("ImageWorkbench")
>>> import PartDesignGui
>>> App.closeDocument("Unbenannt")
>>> App.setActiveDocument("")
>>> App.ActiveDocument=None
>>> Gui.ActiveDocument=None
>>> App.newDocument("Unnamed")
>>> App.setActiveDocument("Unnamed")
>>> App.ActiveDocument=App.getDocument("Unnamed")
>>> Gui.ActiveDocument=Gui.getDocument("Unnamed")
>>> Gui.activeDocument().activeView().viewDefaultOrientation()
>>> Gui.activateWorkbench("PartWorkbench")
>>> App.ActiveDocument.addObject("Part::Box","Box")
>>> App.ActiveDocument.ActiveObject.Label = "Cube"
>>> App.ActiveDocument.recompute()
>>> Gui.SendMsgToActiveView("ViewFit")
>>> Gui.activateWorkbench("ImageWorkbench")
>>> App.activeDocument().addObject('Image::ImagePlane','ImagePlane')
>>> App.activeDocument().ImagePlane.ImageFile = 'C:/Users/<...>/Test.jpg'
>>> App.activeDocument().ImagePlane.XSize = 58
>>> App.activeDocument().ImagePlane.YSize = 40
>>> App.activeDocument().ImagePlane.Placement = App.Placement(App.Vector(0.000000,0.000000,-10.000000),App.Rotation(0.000000,0.000000,0.000000,1.000000))
>>> Gui.SendMsgToActiveView('ViewFit')
>>>
Additional InformationDear administrators,

now I’m thinking about a commercial and working solution because neither FreeCAD nor your ticket system works properly. I lost so much life time in the last 6 months of FreeCAD that I’ll stop this frustration.

After my TRY to send a ticket I got following message. After going back, all input was deleted:

APPLICATION ERROR 0002200
Es konnte kein Tag dieses Namens gefunden werden.
Bitte benutzen Sie die „Zurück“-Taste Ihres Browsers, um auf die vorhergehende Seite zurückzukehren. Dort können Sie den hier angezeigten Eintrag korrigieren oder eine andere Aktion ausführen. Über das Menü können Sie auch direkt zu einer anderen Aktion wechseln.
Tags#post-to-forum, 0.18
FreeCAD Information

Relationships

duplicate of 0003915 new Image does not get loaded in Image workbench 

Activities

useidler

2019-10-13 10:54

reporter  

Bug.jpg (380,649 bytes)
Bug.jpg (380,649 bytes)

openBrain

2019-10-13 11:52

developer   ~0013750

@useidler : no need to complain or threaten. FC (as well as bug tracking) is free software provided to you by people on their spare time. ;)
Especially, according to reporting guidelines (big yellow banner), you must have first open a forum topic to discuss your issue. Also with a bit of search, you may have found that this issue is known (and not really a FC issue) => See 0003915 and existing forum thread.
Shortly, what you experience is a bad interaction between Qt5 & Intel GFX drivers. You can either :
  • Use a different GFX card to run FC if possible
  • Try the latest 0.19 version as Qt5.12.1+ has solved the problem for some users
  • Use a Qt4 version of FC
If you need more info, please open a forum topic or continue the existing one.

useidler

2019-10-13 15:33

reporter   ~0013752

Last edited: 2019-10-13 15:34

View 2 revisions

Dear openBrain,

thanks for hyperfast feedback. Here my results:
(1) Use a different GFX card to run FC if possible
not without loosing hardware guarantee.

(2) Try the latest 0.19 version as Qt5.12.1+ has solved the problem for some users
not working, same effect in general, nevertheless so more instable movements possible.
Sometime the views work, sometimes not. Not useable, but from the technical point of you 'better'.

(3) Use a Qt4 version of FC
YES! It seems running. But I don't know the functions of the workbench and have to learn this first. That need some days. I'll give you you a response, if I got some trouble or not.
Meanwhile dn't hesitate to contact me for questions about my computer. This problem sounds like incompabilities between hard- and software.

Yours sincerely
Ulrich
(useidler)

openBrain

2019-10-13 16:13

developer   ~0013754

@useidler : it's incompatibility between software (Qt5) & software (Intel drivers).
Please follow guidelines and open a forum topic for any further issue/remark/question. This is far more efficient and prevent cluttering the tracker. ;)

Issue History

Date Modified Username Field Change
2019-10-13 10:54 useidler New Issue
2019-10-13 10:54 useidler Tag Attached: 0.18
2019-10-13 10:54 useidler File Added: Bug.jpg
2019-10-13 11:52 openBrain Note Added: 0013750
2019-10-13 11:52 openBrain Tag Attached: #post-to-forum
2019-10-13 11:53 openBrain Relationship added duplicate of 0003915
2019-10-13 11:53 openBrain Priority urgent => none
2019-10-13 11:53 openBrain Status new => feedback
2019-10-13 15:33 useidler Note Added: 0013752
2019-10-13 15:33 useidler Status feedback => new
2019-10-13 15:34 useidler Note Edited: 0013752 View Revisions
2019-10-13 16:13 openBrain Note Added: 0013754